@echo off
echo Effettua setup dei file specifici per i 2 ambienti CMS/SCM pre build installer: verifica da nome configurazione %1


if %1 == "Release" goto Release
if %1 == "Debug" goto Debug
if %1 == "CMS-FANUC" goto CMS
if %1 == "CMS-SIEMENS" goto CMS
if %1 == "SCM-ESA" goto SCM

:Release
echo Release: uso 
goto END

:Debug
echo Debug: non devo copiare nulla
goto END

:Installer
echo Installer: non devo copiare nulla
goto END

:CMS
echo CMS: copio files CMS - Zogno
del  %2"DATA\CONF\MTCA.ico"
del  %2"DATA\CONF\Adapter_ItemList.xml"
del  %2"DATA\CONF\AlarmList.map"
del  %2"DATA\CONF\EsaKvara.ini"
del  %2"DATA\CONF\SCM_prodFile.pro"
REM del  /F /Q %2"DATA\CONF\*.*"
copy %2"Resources\CMS\CMS.ico" %2"DATA\CONF\MTCA.ico"
REM ora verifico tipo controllo esatto...
if %1 == "CMS-FANUC" goto FANUC
if %1 == "CMS-SIEMENS" goto SIEMENS

:SCM
echo SCM: copio files SCM - Rimini
del  %2"DATA\CONF\MTCA.ico"
del  %2"DATA\CONF\Adapter_ItemList.xml"
del  %2"DATA\CONF\AlarmList.map"
del  %2"DATA\CONF\EsaKvara.ini"
del  %2"DATA\CONF\SCM_prodFile.pro"
REM del  /F /Q %2"DATA\CONF\*.*"
copy %2"Resources\SCM\SCM.ico" %2"DATA\CONF\MTCA.ico"
copy %2"Resources\SCM\SCM_ESA.xml" %2"DATA\CONF\Adapter_ItemList.xml"
copy %2"Resources\SCM\AlarmListEsaGv.map" %2"DATA\CONF\AlarmList.map"
copy %2"Resources\SCM\EsaKvara.ini" %2"DATA\CONF\EsaKvara.ini"
copy %2"Resources\SCM\SCM_prodFile.pro" %2"DATA\CONF\SCM_prodFile.pro"
goto END

:FANUC
copy %2"Resources\CMS\FANUC.xml" %2"DATA\CONF\Adapter_ItemList.xml"
copy %2"Resources\CMS\AlarmListFANUC.map" %2"DATA\CONF\AlarmList.map"
goto END

:SIEMENS
copy %2"Resources\CMS\SIEMENS.xml" %2"DATA\CONF\Adapter_ItemList.xml"
copy %2"Resources\CMS\AlarmListSIEMENS.map" %2"DATA\CONF\AlarmList.map"
goto END

:END
echo Fatto!